Inhalte
Index 🔎︎

# Funktion CStr

Konvertiert einen beliebigen numerischen Ausdruck in einen Zeichenkettenausdruck.

## Syntax:

    CStr (Ausdruck)

## Rückgabewert:

String

## Parameter:

Ausdruck: Ein beliebiger zu konvertierender gültiger numerischer oder Zeichenkettenausdruck.

## Ausdruckstypen und Rückgabewerte der Konvertierung

Boolean : | Zeichenkette, die entweder als True oder False ausgewertet wird.
Date : | Zeichenkette, die das Datum und die Uhrzeit enthält.
Null : | Laufzeitfehler.
Empty : | Leere Zeichenkette ohne Zeichen.
beliebig : | Entsprechende Zahl als Zeichenkette.

Nullen am Ende der Nachkommazahl einer Gleitkommazahl werden nicht in die Zeichenkette übernommen, die an den Aufrufer zurückgegeben wird.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleCSTR
    Dim sVar As String
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
        MsgBox CSng(1234.5678)
        sVar = CStr(1234.5678)
        MsgBox sVar
    End Sub